<template>
<div class="root">
  <form class="container">
    <h1>Création d'une nouvelle liste</h1>

    <div class="row spaced">
        <label for="nameList">Nom de la liste</label>
        <input type="text" v-model="nom" name="nameList">
    </div>

    <!-- <div class="row spaced">
        <label for="imgList">Image de la liste</label>
        <input type="text" name="imgList">
    </div> -->

    <div class="row spaced">
        <label for="colorList">Couleur de la liste</label>
        <input type="color" v-model="color" name="colorList">
    </div>
  </form>
    <p style="color: red;" v-if="error">Une liste possède déjà ce nom</p>
    <button @click="submitForm">Créer nouvelle liste</button>
</div>
</template>

<script>
var dashify = require('dashify');

export default {
  name: 'CreateListPage',
  data() {
    return {
      nom: '',
      color: '#ff3e3e',
      slug: '',
      error: false
    }
  },
  methods: {

    submitForm() {
      this.error = false;
      this.slug = dashify(this.nom);

      if(localStorage.getItem('LIST__'+this.slug)) {
        this.error = true;        
        return;
      }
      const newList = { nom: this.nom, color: this.color, slug: this.slug, items: [] };

      localStorage.setItem('LIST__'+this.slug, JSON.stringify(newList));

      this.$router.push({path: '/listing/'});
    }
  }
}
</script>
